All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
blas3.hpp File Reference
`#include <iostream>`
`#include "viennacl.hpp"`
`#include "viennacl_private.hpp"`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/matrix.hpp"`
`#include "viennacl/linalg/direct_solve.hpp"`
`#include "viennacl/linalg/prod.hpp"`

Go to the source code of this file.

## Namespaces

| detail

## Functions

template<typename ScalarType , typename MatrixTypeA , typename MatrixTypeB , typename MatrixTypeC >
void | detail::gemm_dispatch (ScalarType alpha, MatrixTypeA const &A, ViennaCLTranspose transA, MatrixTypeB const &B, ViennaCLTranspose transB, ScalarType beta, MatrixTypeC &C)